Skip to main content
GET
/
api
/
v1
/
groups
/
{id}
/
members
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/groups/{id}/members
{
  "members": [
    {
      "id": "<string>",
      "joinedGroupAt": "2023-11-07T05:31:56Z",
      "type": "user",
      "user": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "username": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "email": "<string>"
      }
    }
  ],
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

The ID of the group to list members for.

Query Parameters

offset
number
default:0

The offset to start from. If you enter 10, it will start from the 10th member.

Required range: x >= 0
limit
number
default:10

The number of members to return.

Required range: 1 <= x <= 100

The text string that member email(in case of users) or name(in case of machine identities) will be filtered by.

orderBy
enum<string>
default:name

The column to order members by.

Available options:
name
orderDirection
enum<string>

The direction to order members in.

Available options:
asc,
desc
memberTypeFilter

Filter members by type. Can be a single value ('users' or 'machineIdentities') or an array of values. If not specified, both users and machine identities will be returned.

Available options:
users,
machineIdentities

Response

Default Response

members
object[]
required
totalCount
number
required